-- name: [PET] Mario In Real Time
-- description: He's going to fly for you!

if not _G.wpets then return end

local E_MODEL_MIRT = smlua_model_util_get_id('mirt_geo')

local ID_MIRT = _G.wpets.add_pet({
	name = "Mario In Real Time", credit = "ThaGurlTilly",
	description = "He's going to fly for you!",
	modelID = E_MODEL_MIRT,
	scale = 1.5, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_head(ID_MIRT)

_G.wpets.set_pet_sounds(ID_MIRT, {
	spawn = 'mirt_hello.ogg',
	happy = 'mirt_wee.ogg',
	vanish = nil,
	step = nil
})